/*Class description: This class extends the Artefact class. Sword can give you attack points.
 */
public class Sword extends Artefact {
	//You can change this to make the game more exciting
	int attackPoints = 5;
	//Sets the appearance, x and y coordinates
	public Sword( int xIn, int yIn) {
		super('', xIn, yIn);
	}
	//Returns true if Harry picks up the sword and adds attack points to Harry
	@Override
	boolean pickObject(HarryPotter player) {
		player.addAttackIndex(attackPoints);
		return true;
	}

	@Override
	public String toString() {
		return "Sword( +" + attackPoints + " attack points )";
	}

}